org.apache.tomcat.util

## Class Diagnostics

- java.lang.Object
- - org.apache.tomcat.util.Diagnostics

-     public class Diagnostics
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Diagnostics()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getThreadDump(Enumeration<Locale> requestedLocales)` Retrieves a formatted JVM thread dump.
    `static String` | `getVMInfo(Enumeration<Locale> requestedLocales)` Retrieves a formatted JVM information text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Diagnostics

          public Diagnostics()

  - ### Method Detail

    - #### getThreadDump

          public static String getThreadDump(Enumeration<Locale> requestedLocales)

      Retrieves a formatted JVM thread dump. The given list of locales will be used to retrieve a StringManager.
      Parameters:
        `requestedLocales` - list of locales to use
      Returns:
        the formatted JVM thread dump

    - #### getVMInfo

          public static String getVMInfo(Enumeration<Locale> requestedLocales)

      Retrieves a formatted JVM information text. The given list of locales will be used to retrieve a StringManager.
      Parameters:
        `requestedLocales` - list of locales to use
      Returns:
        the formatted JVM information text

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.